import request from '@/utils/request'

// 查询卫生健康-行政处罚列表
export function listPenalty(query) {
    return request({
        url: '/crmHealthSanitationPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询卫生健康-行政处罚详细
export function getPenalty(id) {
    return request({
        url: '/crmHealthSanitationPenalty/' + id,
        method: 'get'
    })
}

// 新增卫生健康-行政处罚
export function addPenalty(data) {
    return request({
        url: '/crmHealthSanitationPenalty',
        method: 'post',
        data: data
    })
}

// 修改卫生健康-行政处罚
export function updatePenalty(data) {
    return request({
        url: '/crmHealthSanitationPenalty',
        method: 'put',
        data: data
    })
}

// 删除卫生健康-行政处罚
export function delPenalty(id) {
    return request({
        url: '/crmHealthSanitationPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmHealthSanitationPenalty/delete',ids)
}